org.apache.cassandra.index.sasi.conf.view

## Interface TermTree

- All Known Implementing Classes:
    PrefixTermTree, RangeTermTree

      public interface TermTree

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TermTree.Builder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intervalCount()`
    `java.util.Set<SSTableIndex>` | `search(Expression e)`

- - ### Method Detail

    - #### search

          java.util.Set<SSTableIndex> search(Expression e)

    - #### intervalCount

          int intervalCount()

Copyright © 2018 The Apache Software Foundation